pragma ComponentBehavior: Bound
import QtQuick
import QtQuick.Controls

Control {
    id: control

    property alias text: textArea.text

    contentItem: TextArea {
        id: textArea

        Accessible.ignored: control.Accessible.ignored
        Accessible.role: control.Accessible.role
        focus: control.focus
        padding: 0
        readOnly: true
        selectByMouse: true
        wrapMode: Text.WordWrap

        HoverHandler {
            cursorShape: Qt.IBeamCursor
        }
    }
}
