-- Deploy camper:redsys_response to pg
-- requires: schema_camper
-- requires: currency_code

begin;

set search_path to camper, public;

create type redsys_response as (
  merchant_code text
, terminal_number integer
, response_code integer
, date_time timestamp
, secure_payment boolean
, transaction_type integer
, amount text
, currency_code currency_code
, order_number text
, authorization_code text
, error_code text
);

commit;
